Identification Group
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Business/IdentificationGroup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Business/IdentificationGroup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Business/IdentificationGroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": {
"Name": "<string>",
"ParentBusinessId": 123,
"ParentBusinessName": "<string>",
"BusinessId": 123,
"Address1": "<string>",
"CityName": "<string>",
"StateProvinceName": "<string>",
"PostalCode": "<string>",
"CountryName": "<string>",
"PhoneNumber": "<string>",
"FaxNumber": "<string>",
"EmailAddress": "<string>",
"TradingStatus": "<string>",
"IncorporatedDate": "<string>",
"IncorporatedIn": "<string>",
"IncorporatedInState": "<string>",
"FederalTaxId": "<string>",
"CIKNumber": "<string>",
"TickerSymbol": "<string>",
"StockExchange": "<string>",
"MarketCap": 123,
"Employees": 123,
"EmployeesAsOfDate": "2023-11-07T05:31:56Z",
"PAYCEScore": 123,
"PAYCEScoreDate": "2023-11-07T05:31:56Z",
"FriskScore": 123,
"FriskScoreDate": "2023-11-07T05:31:56Z",
"ZScore": 123,
"ZScoreDate": "2023-11-07T05:31:56Z",
"DBTIndex": 123,
"DBTIndexDate": "2023-11-07T05:31:56Z",
"PublicFilings": 123,
"WebSite": "<string>",
"SIC": "<string>",
"NAICS": "<string>",
"LatestStatementDate": "2023-11-07T05:31:56Z",
"CurrentFiscalYear": 123,
"CurrentFiscalQuarter": 123,
"BankruptcyType": "<string>",
"BankruptcyDate": "2023-11-07T05:31:56Z",
"BankruptcyExitDate": "2023-11-07T05:31:56Z",
"TradeAccounts": 123,
"TotalDue": 123,
"PastDue": 123,
"HighRiskLink": "<string>",
"CaseStudyLink": "<string>",
"LastBlogLink": "<string>",
"FRISKLastChangeDate": "2023-11-07T05:31:56Z",
"PAYCELastChangeDate": "2023-11-07T05:31:56Z",
"ZScoreLastChangeDate": "2023-11-07T05:31:56Z",
"FinancialsLastChangeDate": "2023-11-07T05:31:56Z",
"MarketGuideSectorName": "<string>",
"MarketGuideIndustryName": "<string>",
"CreditLimitMedian": 123,
"CreditLimitVeryHigh": 123
},
"ErrorCode": "<string>"
}Basics
Retrieve Business Identity Details
Retrieves comprehensive identification information for a single business entity including name, address, and key identifiers.
GET
/
v1
/
Business
/
IdentificationGroup
Identification Group
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
ID of the Business to get details for.
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.
Was this page helpful?
⌘I